apiVersion: v1
items:
- apiVersion: cdi.kubevirt.io/v1beta1
  kind: StorageProfile
  metadata:
    creationTimestamp: "2024-03-07T18:11:04Z"
    generation: 1
    labels:
      app: containerized-data-importer
      app.kubernetes.io/component: storage
      app.kubernetes.io/managed-by: cdi-controller
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.13.7
      cdi.kubevirt.io: ""
    name: local-volume-set
    ownerReferences:
    - apiVersion: cdi.kubevirt.io/v1beta1
      blockOwnerDeletion: true
      controller: true
      kind: CDI
      name: cdi-kubevirt-hyperconverged
      uid: c8482aca-62cb-44ba-a4f0-ccddf34fbe74
    resourceVersion: "12307957"
    uid: 34e493a9-283c-4a73-a907-095a3ed4bdbb
  spec: {}
  status:
    claimPropertySets:
    - accessModes:
      - ReadWriteOnce
      volumeMode: Block
    provisioner: kubernetes.io/no-provisioner
    storageClass: local-volume-set
- apiVersion: cdi.kubevirt.io/v1beta1
  kind: StorageProfile
  metadata:
    creationTimestamp: "2024-03-07T18:11:04Z"
    generation: 3
    labels:
      app: containerized-data-importer
      app.kubernetes.io/component: storage
      app.kubernetes.io/managed-by: cdi-controller
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.13.7
      cdi.kubevirt.io: ""
    name: px-storagecluster-fs
    ownerReferences:
    - apiVersion: cdi.kubevirt.io/v1beta1
      blockOwnerDeletion: true
      controller: true
      kind: CDI
      name: cdi-kubevirt-hyperconverged
      uid: c8482aca-62cb-44ba-a4f0-ccddf34fbe74
    resourceVersion: "12307963"
    uid: 3a4cd654-c69c-4157-8105-ff5209db6116
  spec: {}
  status:
    claimPropertySets:
    - accessModes:
      - ReadWriteMany
      volumeMode: Filesystem
    - accessModes:
      - ReadWriteOnce
      volumeMode: Block
    - accessModes:
      - ReadWriteOnce
      volumeMode: Filesystem
    provisioner: pxd.portworx.com
    storageClass: px-storagecluster-fs
- apiVersion: cdi.kubevirt.io/v1beta1
  kind: StorageProfile
  metadata:
    creationTimestamp: "2024-03-07T18:11:04Z"
    generation: 3
    labels:
      app: containerized-data-importer
      app.kubernetes.io/component: storage
      app.kubernetes.io/managed-by: cdi-controller
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.13.7
      cdi.kubevirt.io: ""
    name: px-storagecluster-fs-vm
    ownerReferences:
    - apiVersion: cdi.kubevirt.io/v1beta1
      blockOwnerDeletion: true
      controller: true
      kind: CDI
      name: cdi-kubevirt-hyperconverged
      uid: c8482aca-62cb-44ba-a4f0-ccddf34fbe74
    resourceVersion: "12307965"
    uid: 5deb9696-1585-4033-a898-a589f214aaba
  spec:
    claimPropertySets:
    - accessModes:
      - ReadWriteMany
      volumeMode: Filesystem
  status:
    claimPropertySets:
    - accessModes:
      - ReadWriteMany
      volumeMode: Filesystem
    provisioner: pxd.portworx.com
    storageClass: px-storagecluster-fs-vm
- apiVersion: cdi.kubevirt.io/v1beta1
  kind: StorageProfile
  metadata:
    creationTimestamp: "2024-03-07T18:11:04Z"
    generation: 3
    labels:
      app: containerized-data-importer
      app.kubernetes.io/component: storage
      app.kubernetes.io/managed-by: cdi-controller
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.13.7
      cdi.kubevirt.io: ""
    name: px-storagecluster-rbd
    ownerReferences:
    - apiVersion: cdi.kubevirt.io/v1beta1
      blockOwnerDeletion: true
      controller: true
      kind: CDI
      name: cdi-kubevirt-hyperconverged
      uid: c8482aca-62cb-44ba-a4f0-ccddf34fbe74
    resourceVersion: "12307959"
    uid: c131c53a-84d6-4114-84aa-2bc25069d26a
  spec: {}
  status:
    claimPropertySets:
    - accessModes:
      - ReadWriteMany
      volumeMode: Filesystem
    - accessModes:
      - ReadWriteOnce
      volumeMode: Block
    - accessModes:
      - ReadWriteOnce
      volumeMode: Filesystem
    provisioner: pxd.portworx.com
    storageClass: px-storagecluster-rbd
- apiVersion: cdi.kubevirt.io/v1beta1
  kind: StorageProfile
  metadata:
    creationTimestamp: "2024-03-07T18:11:04Z"
    generation: 1
    labels:
      app: containerized-data-importer
      app.kubernetes.io/component: storage
      app.kubernetes.io/managed-by: cdi-controller
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.13.7
      cdi.kubevirt.io: ""
    name: stork-snapshot-sc
    ownerReferences:
    - apiVersion: cdi.kubevirt.io/v1beta1
      blockOwnerDeletion: true
      controller: true
      kind: CDI
      name: cdi-kubevirt-hyperconverged
      uid: c8482aca-62cb-44ba-a4f0-ccddf34fbe74
    resourceVersion: "12307961"
    uid: 1019942c-b200-4370-a92d-466a621bf1d1
  spec: {}
  status:
    provisioner: stork-snapshot
    storageClass: stork-snapshot-sc
kind: List
metadata:
  resourceVersion: ""
